org.apache.ignite.internal.processors.query.stat.messages

## Class StatisticsRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.messages.StatisticsRequest

All Implemented Interfaces:
  Serializable, Message

    public class StatisticsRequest
    extends Object
    implements Message

Request for statistics.

See Also:
  Serialized Form

### Field Summary

Fields
`static short` `TYPE_CODE`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`StatisticsRequest()` Constructor.
`StatisticsRequest(UUID reqId, StatisticsKeyMessage key, StatisticsType type, AffinityTopologyVersion topVer, Map<String,Long> versions)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`StatisticsKeyMessage` `key()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`UUID` `reqId()` Request id.
`AffinityTopologyVersion` `topVer()`
`String` `toString()`
`StatisticsType` `type()`
`Map<String,Long>` `versions()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE_CODE

    public static final short TYPE_CODE

See Also:
  Constant Field Values

### Constructor Detail

#### StatisticsRequest

    public StatisticsRequest()

Constructor.

#### StatisticsRequest

    public StatisticsRequest(UUID reqId,
                             StatisticsKeyMessage key,
                             StatisticsType type,
                             AffinityTopologyVersion topVer,
                             Map<String,Long> versions)

Constructor.

Parameters:
  `reqId` - Request id.
  `key` - Statistics key to get statistics by.
  `type` - Required statistics type.
  `topVer` - Topology version to get statistics by.
  `versions` - Map of statistics version to column name to ensure actual statistics aquired.

### Method Detail

#### reqId

    public UUID reqId()

Request id.

#### type

    public StatisticsType type()

Returns:
  Required statistics type.

#### key

    public StatisticsKeyMessage key()

Returns:
  Key for required statitics.

#### topVer

    public AffinityTopologyVersion topVer()

Returns:
  Topology version.

#### versions

    public Map<String,Long> versions()

Returns:
  Column name to version map.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023